getCloudMongoDbTargetVpcList

Prev Next

Available in VPC

Get the list of VPCs available to use in Cloud DB for MongoDB.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET | POST /vmongodb/v2/getCloudMongoDbTargetVpcList
Note

This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console.

Request headers

For information about the headers common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code of the VPC to view
  • See getRegionList
  • First Region of the getRegionList query result (default)
responseFormatType String Optional Format of the response result
  • xml (default) | json

Request example

The following is a sample request.

curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmongodb/v2/getCloudMongoDbTargetVpcList
?regionCode=KR
&responseFormatType=json' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See TargetVpcList for the response body.

Response status codes

For information about the HTTP status codes common to all Cloud DB for MongoDB (VPC) APIs, see Cloud DB for MongoDB (VPC) response status codes.

Response example

The following is a sample response.

  • If responseFormatType=json

    {
        "getCloudMongoDbTargetVpcListResponse": {
            "totalRows": 1,
            "targetVpcList": [
                {
                    "vpcNo": "59***",
                    "vpcName": "***-vpc",
                    "ipv4Cidr": "10.0.0.0/16",
                    "regionCode": "KR",
                    "createdDate": "2024-03-28T13:40:23+0900"
                }
            ],
            "requestId": "8764a045-****-****-****-9643b69c37e1",
            "returnCode": "0",
            "returnMessage": "success"
        }
    }
    
  • If responseFormatType=xml (default)

    <?xml version="1.0" encoding="UTF-8"?>
    <getCloudMongoDbTargetVpcListResponse>
        <requestId>8764a045-****-****-****-9643b69c37e1</requestId>
        <returnCode>0</returnCode>
        <returnMessage>success</returnMessage>
        <totalRows>1</totalRows>
        <targetVpcList>
            <targetVpc>
                <vpcNo>59***</vpcNo>
                <vpcName>***-vpc</vpcName>
                <ipv4Cidr>10.0.0.0/16</ipv4Cidr>
                <regionCode>KR</regionCode>
                <createdDate>2024-03-28T13:40:23+0900</createdDate>
            </targetVpc>
        </targetVpcList>
    </getCloudMongoDbTargetVpcListResponse>